---
title: WorkerNavigator.connection
slug: Web/API/WorkerNavigator/connection
tags:
  - API
  - Connection
  - Experimental
  - Property
  - Reference
  - WorkerNavigator
---
<p>{{APIRef("Network Information API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>WorkerNavigator.connection</strong></code> read-only property returns a {{domxref("NetworkInformation")}} object containing information about the system's connection, such as the current bandwidth of the user's device or whether the connection is metered. This could be used to select high definition content or low definition content based on the user's connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>connectionInfo</em> = self.navigator.connection</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Network Information', '#connection-attribute', 'Navigator.connection')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerNavigator.connection")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Online_and_offline_events">Online and offline events</a></li>
 <li><a href="/en-US/docs/Web/API/Network_Information_API">Network Information API</a></li>
</ul>
